#
# spec file for package efont-unicode (Version 0.3.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         efont-unicode
Copyright:    Distributable
Group:        X11/Fonts
Autoreqprov:  on
Summary:      unicode font by /efont/
Version:      0.3.1
Release:      31
URL:          http://openlab.ring.gr.jp/efont/
Source:       http://openlab.ring.gr.jp/efont/dist/unicode-bdf/efont-unicode-bdf-0.3.1.tar.bz2
BuildRoot:    %{_tmppath}/%{name}-root
BuildArchitectures: noarch

%description
unicode fonts developed by /efont/ openlab.
This font package includes 12,14 and 16 pixel ISO-10646 fonts.

Authors:
--------
    Kazuhiko <kazuhiko@ring.gr.jp>

SuSE series: han

%prep
%setup -q -n efont-unicode-bdf-0.3.1

%build
for i in *.bdf ; do
    /usr/X11R6/bin/bdftopcf $i > `basename $i .bdf`.pcf
    /bin/gzip -9 `basename $i .bdf`.pcf
done

%install
if [ -n "%{?buildroot}" ] ; then
   [ %{buildroot} != "/" ] && rm -rf %{buildroot}
fi
mkdir -p %{buildroot}/usr/X11R6/lib/X11/fonts/ucs/misc
install -m 444 *.pcf.gz %{buildroot}/usr/X11R6/lib/X11/fonts/ucs/misc

%clean
rm -rf %{buildroot}

%files
%defattr(-, root,root)
%doc README* COPYRIGHT ChangeLog
/usr/X11R6/lib/X11/fonts/ucs/misc/*.pcf.gz

%changelog -n efont-unicode
* Tue Sep 04 2001 - mfabian@suse.de
- update to version 0.3.1 (includes 24 pixel fonts now)
* Fri Mar 09 2001 - ro@suse.de
- added xf86
* Wed Feb 28 2001 - ro@suse.de
- fixed typo in specfile
* Wed Jan 31 2001 - violiet@suse.de
- efont-unicode-bdf renamed to efont-unicode.
* Mon Jan 29 2001 - violiet@suse.de
- NEW efont-unicode-bdf package version to 0.2.
